Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:           gir-repository
Version:        0.6.5
Release:        1
BuildArch:	i686
Summary:        Introspection for GNOME libraries
Group:          Development/Libraries
License:        LGPLv2+
URL:            http://live.gnome.org/GObjectIntrospection
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.6/%{name}-%{version}.tar.gz
BuildRequires:  gobject-introspection-devel
BuildRequires:  avahi-devel avahi-gobject
BuildRequires:  babl-devel
BuildRequires:  GConf-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  gnome-menus-devel
BuildRequires:  goocanvas-devel
#BuildRequires:  gssdp-devel
BuildRequires:  gstreamer10-devel
BuildRequires:  gtk2+-devel
BuildRequires:  gtksourceview-devel
#BuildRequires:  gupnp-devel
BuildRequires:  libnotify-devel
BuildRequires:  libsoup-devel
BuildRequires:  libwnck-devel
BuildRequires:  nautilus-devel
BuildRequires:  poppler-glib-devel
BuildRequires:  unique-devel
BuildRequires:  vte-devel
BuildRequires:  webkitgtk-devel libjpeg-devel openjpeg-devel ncurses-devel

# Add these for autoreconf due to gst patch
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf

%description
Introspection system for GNOME libraries; see the gobject-introspection package.

%package devel
Summary: Libraries and headers for gir-repository
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: gobject-introspection-devel

%description devel
Libraries and headers for gir-repository

%prep
%setup -q

%build
autoreconf
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/lib*.so
%{_libdir}/girepository-1.0/*.typelib

%files devel
%defattr(-,root,root)
%{_datadir}/gir-1.0/*.gir
%{_libdir}/lib*.la

%changelog
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 0.6.5-1
- Initial CCux package release
